# Class BaseSessionComparator<T>

java.lang.Object
org.apache.catalina.manager.util.BaseSessionComparator<T>

Type Parameters:
  `T` - The type of the session content to be compared

All Implemented Interfaces:
  `Comparator<Session>`

@Deprecated public abstract class BaseSessionComparator<T> extends Object implements Comparator<Session>
Deprecated.
Unused. Will be removed in Tomcat 10.1.x
Comparator which permits to compare on a session's content.

Author:
  Cédrik LIME

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseSessionComparator()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `compare(Session s1, Session s2)`
  Deprecated.
  `abstract Comparable<T>`
  `getComparableObject(Session session)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### BaseSessionComparator

    public BaseSessionComparator()
    Deprecated.

- ## Method Details

  - ### getComparableObject

    public abstract Comparable<T> getComparableObject(Session session)
    Deprecated.

  - ### compare

    public final int compare(Session s1, Session s2)
    Deprecated.
    Specified by:
      `compare` in interface `Comparator<T>`